Subject: Re: Jack S Defends MLKing Slur (Was: ARF DEFENDS HIS HONOR)

From: [email-masked] (Harry Katz)
Date: Fri, 16 Oct 1992 14:20:55 GMT

In article <[email-masked]>,
Jack Schmidling ([email-masked]) wrote:

	First of all, you are going to have to prove to me that he 
	preached hatred.  You are simply parroting  media hype.  I 
	defy you to come up with a single quote wherein he preached 
	hatred.

from peacenet conference: justice.us

Topic 74	Duke, Quayle, & Racism
cberlet	justice.us	 8:38 pm  Nov 20, 1991

David Duke:  The Messenger and His Message 

by Chip Berlet and Margaret Quigley 

..Just this past spring on WBZ Radio, Duke was 
more candid than usual. "I think the basic 
culture of this country is European and 
Christian," said Duke, "and I think if we lose 
that, we lose America....I don't think we should 
suppress other races, but I think that if we lose 
that white--what's the word for it--dominance in 
America, with it we lose America." While he 
repudiated a 1989 statement that Judaism was  
"vile" and "anti-Christian," he maintained that 
there were aspects of Judaism that were, 
including "passages in the Talmud which say that 
Christians should be strangulated [sic] and that 
Christ was a bastard and Mary was a whore."

=================================================
Chip Berlet and Margaret Quigley are analysts 
with Political Research Associates in Cambridge, 
Mass., an organization that has monitored the 
political right wing for the past ten years. 
PRA, 678 Mass. Ave., #205 Cambridge, MA 02139